The BOOST_PP_SEQ_FOR_EACH_I_R macro repeats a macro for each element in a seq. It reenters BOOST_PP_FOR with maximum efficiency.

#### Usage

BOOST_PP_SEQ_FOR_EACH_I_R(r, macro, data, seq)

#### Arguments

r
  The next available BOOST_PP_FOR repetition.
macro
  A macro of the form macro(r, data, i, elem). This macro is expanded by BOOST_PP_SEQ_FOR_EACH_I with each element in seq. It is expanded with the next available BOOST_PP_FOR repetition, the auxiliary data, the index of the current element, and the current element.
data
  Auxiliary data passed to macro.
seq
  The seq for which macro will be invoked on each element.

#### Remarks

This macro is a repetition construct. If seq is (a)(b)(c), it expands to the sequence:
macro(r, data, 0, a) macro(r, data, 1, b) macro(r, data, 2, c)

#### See Also

- BOOST_PP_SEQ_FOR_EACH_I

#### Requirements

Header: <boost/preprocessor/seq/for_each_i.hpp>

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)